cURL
curl --request GET \
--url 'https://app.teable.ai/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/run?skip=SOME_NUMBER_VALUE&take=SOME_NUMBER_VALUE&status=SOME_STRING_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"rowCount": 123,
"runs": [
{
"id": "<string>",
"createdTime": "<string>",
"errorMsg": {
"i18nKey": "<string>",
"context": {}
},
"spent": 123
}
]
}automation
Get base workflow run 1
get automation workflow run history list
GET
/
base
/
{baseId}
/
workflow
/
{workflowId}
/
run
cURL
curl --request GET \
--url 'https://app.teable.ai/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/run?skip=SOME_NUMBER_VALUE&take=SOME_NUMBER_VALUE&status=SOME_STRING_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"rowCount": 123,
"runs": [
{
"id": "<string>",
"createdTime": "<string>",
"errorMsg": {
"i18nKey": "<string>",
"context": {}
},
"spent": 123
}
]
}Documentation Index
Fetch the complete documentation index at: https://help.teable.ai/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
skip number
take number
filter by status
Available options:
success, failed, running, canceled, pending Last modified on March 5, 2026
Was this page helpful?
⌘I

